import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.pay.user.resource.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.pay.user.resource.doEdit,
    method: 'post',
    data,
  })
}

export function expTopicTemp(data) {
  return request({
    url: URL.pay.user.resource.expTopicTemp,
    method: 'post',
    data,
    responseType: 'blob',
  })
}

export function enable(data) {
  return request({
    url: URL.pay.user.resource.enable,
    method: 'post',
    data,
  })
}

export function doAdd(data) {
  return request({
    url: URL.pay.user.resource.doAdd,
    method: 'post',
    data,
  })
}
